List commission plans
curl --request GET \
--url https://{domain}/api/v2/network/commission-plan/index \
--header 'X-API-Key: <api-key>'import requests
url = "https://{domain}/api/v2/network/commission-plan/index"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{domain}/api/v2/network/commission-plan/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/v2/network/commission-plan/index",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/v2/network/commission-plan/index"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/v2/network/commission-plan/index")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/v2/network/commission-plan/index")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"code": 200,
"name": "OK",
"message": "<string>",
"info": [
{
"id": 123,
"title": "<string>",
"status": {
"id": 123,
"name": "<string>"
},
"brand": {
"id": 123,
"name": "<string>"
},
"currency": "<string>",
"geo": {
"allowed": [
{}
],
"denied": [
{}
]
},
"traffic_source": [
{
"id": 123,
"title": "<string>"
}
],
"traffic_approaches": [
{
"id": 123,
"title": "<string>"
}
],
"cpa": "<string>",
"rev_share": {
"enabled": true,
"type": {
"id": 123,
"name": "<string>"
},
"based_on": {
"id": 123,
"name": "<string>"
},
"negative_carryover": {
"id": 123,
"name": "<string>"
},
"commission": {
"commission": 123
},
"qualifications": [
{}
],
"hold_period": 123,
"high_roller_policy_enabled": true,
"high_roller_policy_metric_type": "<string>",
"high_roller_policy_winbin_threshold": "<string>",
"cap_config": {
"enabled": true,
"timeframe": "<string>",
"limit": "<string>",
"action": "<string>",
"fallback": {
"based_on": "<string>",
"percent": "<string>",
"negative_carryover": "<string>"
}
},
"custom_fee_config": {
"enabled": true,
"products": [
{
"fee": 123,
"products": [
123
]
}
]
}
},
"cpl": "<string>",
"cpc": "<string>",
"flat_fee": "<string>",
"lot_based_fee": "<string>",
"assigned_to": [
{}
],
"is_default": true,
"is_exclusive": true,
"internal_notes": "<string>",
"assign_to_landing_page": 123,
"landing_pages": [
{}
]
}
]
}{
"status": "error",
"code": 400,
"name": "Bad Request",
"message": "Request could not be parsed.",
"info": {
"errors": {}
}
}{
"status": "error",
"code": 401,
"name": "Unauthorized",
"message": "API key is invalid or missing."
}{
"status": "error",
"code": 403,
"name": "Forbidden",
"message": "This endpoint is not available for your role."
}{
"status": "error",
"code": 404,
"name": "Not Found",
"message": "Resource not found."
}{
"status": "error",
"code": 500,
"name": "Internal Server Error",
"message": "An unexpected error occurred.",
"info": {
"errors": {}
}
}Commission plans
List commission plans
Returns a paginated list of commission plans with filtering. By default, Marketplace commission plans are excluded. Include the marketplace query parameter to lift this filter and return all plans. Disabled commission entities are omitted from each plan summary according to current company settings. hold_period is exposed independently for CPA and CPL, so one entity can include it while the other omits it.
GET
/
api
/
v2
/
network
/
commission-plan
/
index
List commission plans
curl --request GET \
--url https://{domain}/api/v2/network/commission-plan/index \
--header 'X-API-Key: <api-key>'import requests
url = "https://{domain}/api/v2/network/commission-plan/index"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{domain}/api/v2/network/commission-plan/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/v2/network/commission-plan/index",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/v2/network/commission-plan/index"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/v2/network/commission-plan/index")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/v2/network/commission-plan/index")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"code": 200,
"name": "OK",
"message": "<string>",
"info": [
{
"id": 123,
"title": "<string>",
"status": {
"id": 123,
"name": "<string>"
},
"brand": {
"id": 123,
"name": "<string>"
},
"currency": "<string>",
"geo": {
"allowed": [
{}
],
"denied": [
{}
]
},
"traffic_source": [
{
"id": 123,
"title": "<string>"
}
],
"traffic_approaches": [
{
"id": 123,
"title": "<string>"
}
],
"cpa": "<string>",
"rev_share": {
"enabled": true,
"type": {
"id": 123,
"name": "<string>"
},
"based_on": {
"id": 123,
"name": "<string>"
},
"negative_carryover": {
"id": 123,
"name": "<string>"
},
"commission": {
"commission": 123
},
"qualifications": [
{}
],
"hold_period": 123,
"high_roller_policy_enabled": true,
"high_roller_policy_metric_type": "<string>",
"high_roller_policy_winbin_threshold": "<string>",
"cap_config": {
"enabled": true,
"timeframe": "<string>",
"limit": "<string>",
"action": "<string>",
"fallback": {
"based_on": "<string>",
"percent": "<string>",
"negative_carryover": "<string>"
}
},
"custom_fee_config": {
"enabled": true,
"products": [
{
"fee": 123,
"products": [
123
]
}
]
}
},
"cpl": "<string>",
"cpc": "<string>",
"flat_fee": "<string>",
"lot_based_fee": "<string>",
"assigned_to": [
{}
],
"is_default": true,
"is_exclusive": true,
"internal_notes": "<string>",
"assign_to_landing_page": 123,
"landing_pages": [
{}
]
}
]
}{
"status": "error",
"code": 400,
"name": "Bad Request",
"message": "Request could not be parsed.",
"info": {
"errors": {}
}
}{
"status": "error",
"code": 401,
"name": "Unauthorized",
"message": "API key is invalid or missing."
}{
"status": "error",
"code": 403,
"name": "Forbidden",
"message": "This endpoint is not available for your role."
}{
"status": "error",
"code": 404,
"name": "Not Found",
"message": "Resource not found."
}{
"status": "error",
"code": 500,
"name": "Internal Server Error",
"message": "An unexpected error occurred.",
"info": {
"errors": {}
}
}Authorizations
ApiKeyHeaderAuthApiKeyAuth
Query Parameters
Was this page helpful?